summaryrefslogtreecommitdiffstats
path: root/source/k/kernel-source.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/k/kernel-source.SlackBuild')
-rwxr-xr-xsource/k/kernel-source.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/k/kernel-source.SlackBuild b/source/k/kernel-source.SlackBuild
index 26b5ed924..a715aff46 100755
--- a/source/k/kernel-source.SlackBuild
+++ b/source/k/kernel-source.SlackBuild
@@ -146,8 +146,9 @@ echo "Untarring $CWD/linux-${VERSION}.tar.?z in $PKG/usr/src..."
echo "Saving new .config as: $CWD/kernel-configs/config-generic${LOCALVERSION}-${VERSION}${LOCALVERSION}${CONFIG_SUFFIX}"
cp -a .config $CWD/kernel-configs/config-generic${LOCALVERSION}-${VERSION}${LOCALVERSION}${CONFIG_SUFFIX}
fi
- echo "Building kernel..."
- make ${NUMJOBS} bzImage || make bzImage || exit 1
+ echo "Building kernel and modules (needed before clean for building NVIDIA to work)..."
+ make ${NUMJOBS} || exit 1
+ make ${NUMJOBS} modules || exit 1
echo "Cleaning up..."
make clean
# Make sure header files aren't missing...
@@ -155,7 +156,7 @@ echo "Untarring $CWD/linux-${VERSION}.tar.?z in $PKG/usr/src..."
# Don't package the kernel in the sources:
find . -name "*Image" -exec rm "{}" \+
# No need for these:
- rm -f .config.old .version modules.*
+ rm -f .config.old .version
find . -name "*.cmd" -exec rm -f "{}" \+
rm .*.d
# Still some dotfiles laying around... probably fine though